Subject: bug#643: Battery update

From: Sven Joachim <[email-masked]>
Date: Thu, 07 Aug 2008 20:09:48 +0200

On 2008-08-07 18:35 +0200, Chong Yidong wrote:

> The Linux kernel developers have deprecated the longstanding /proc/acpi
> interface, which breaks battery.el on recent kernels (bug#643 and
> bug#660).  Now, the battery information is supposed to come through
> sysfs.
>
> Even though it's the feature freeze, I think it's necessary to ensure
> that battery.el works at least at a basic level.  So, here's a patch
> that adds primitive sysfs support for battery.el.  It doesn't do as much
> as before, because AFAICT the new sysfs interface provides less
> information than the old acpi interface (go figure).
>
> It's lightly tested.  Could someone try this out and see if it does the
> right thing?

The results are funny on my laptop (battery full, online):

Power N/A, battery Full at (-34.7% load, remaining time)

Sven